import matplotlib.pyplot as plt
import matplotlib
plt.rcParams["font.family"] = "Arial"
plt.rcParams['figure.autolayout']=True
matplotlib.rcParams.update({'font.size': 9}) 

options_number = [10, 20, 30, 40, 50, 60]  
options_number1 = [15, 25, 35, 45, 55]
gpt = [72.50, 60.23, 62.51, 40.22, 32.51, 32.51]
gpt1 =  [64.365, 54.364999999999995,35.365,32.365,31.23]
gpt_1106 = [75.93, 60.22, 48.75, 40.21, 35.02, 35.01] 
gpt_11061 = [66.075, 54.485, 42.480000000000004, 36.035, 35.045]

options, gpts, gpts_1106 = [],[],[]
for i in range(5):
     options += [options_number[i], options_number1[i]]
     gpts += [gpt[i], gpt1[i]]
     gpts_1106 += [gpt_1106[i], gpt_11061[i]]
options.append(options_number[-1])
gpts.append(gpt[-1])
gpts_1106.append(gpt_1106[-1])

plt.figure(figsize=(6,4))
plt.plot(options, gpts, 'o-', label='gpt_3.5_turbo (4k)', mfc = "white", color='#03045e', linewidth=2)
plt.plot(options, gpts_1106, 'x-', label='gpt_3.5_turbo_1106 (16k)',mfc = "white", color='#d8572a', linewidth=2)
plt.xlabel('Options Number')
plt.ylabel('Classifiation Accuracy (%)')
plt.title('Accuracy performance for different Options Number.')
plt.legend()
plt.tight_layout()
plt.grid(ls = "--", lw = 0.5, color = "#4E616C")
plt.savefig('sec3-1.pdf')