import matplotlib.pyplot as plt
import matplotlib.colors as mcolors
import matplotlib
import numpy as np
plt.rcParams["font.family"] = "Arial"
matplotlib.rcParams.update({'font.size': 11}) 
plt.rcParams['hatch.linewidth'] = 0.3
# names = ['GPT2','DHAP','BOB','T-Trans','Ours']
# dhap 0.12
readablity_data =               [ 97.02,24.70, 72.28,  82.17, 63.63]
relevance_data =                [ 45.54,11.27, 50.49,  53.46, 69.53]
higher_Personalization_data =   [ 4.95, 13.20, 29.70,  30.00, 77.27]

Error_rate = [48.39333333,54,50,48,56,56]
names = [0	,0.2	,0.4	,0.6	,0.8	,1	]
# dialoGPT
# 97.35,
# 69.53,
# 09.27,


x = np.arange(len(names))  
width = 0.35

fig, ax = plt.subplots(dpi=100, figsize=(6,4))
# rects2 = ax.bar(x - width/2 -0.01 , relevance_data, width/2, label='Relevance',color='#21587b',edgecolor='black', linewidth=0.5 ) #  edgecolor='black'
# rects1 = ax.bar(x , readablity_data, width/2, label='Readability',hatch='xxx', color='#57cc98',edgecolor='black', linewidth=0.5 ) # hatch='xxx'
# rects3 = ax.bar(x + width/2 +0.01, higher_Personalization_data, width/2, label='Personalization',hatch='////',color='#c6facc',edgecolor='black', linewidth=0.5  ) # hatch='////'
# hatch='\\\\'
rects2 = ax.bar(x, Error_rate, width/2, label='Error rate',color='#21587b',edgecolor='black', linewidth=0.5 )
ax.set_ylim([40,58])
ax.set_ylabel('Average Scores(%)')
ax.set_xlabel('Windows Similarity(%)')
ax.set_title('Error Rates with options similarity')
ax.set_xticks(x, names)
ax.legend(loc='best')


# ax.bar_label(rects1, padding=3,fontsize=10, label_type="edge", color='black')
# ax.bar_label(rects2, padding=3,fontsize=10, label_type="edge", color='black')
# ax.bar_label(rects3, padding=3,fontsize=10, label_type="edge", color='black')
fig.tight_layout()
plt.savefig('sec3-3.pdf')